List tasks
Retrieves a list of tasks.
addObject, deleteIndex, editSettingsAuthorizations
Your Algolia application ID.
Your Algolia API key with the necessary permissions to make the request. Permissions are controlled through access control lists (ACL) and access restrictions. The required ACL to make a request is listed in each endpoint's reference.
Query Parameters
Actions for filtering the list of tasks. Actions to perform on the Algolia index.
Action to perform on the Algolia index.
replace, save, partial, partialNoCreate, append "save,replace,partial,append"
Destination IDs for filtering the list of tasks.
Universally unique identifier (UUID) of a destination resource.
Whether to filter the list of tasks by the enabled status.
Number of items per page.
1 <= x <= 100Sort order of the response, ascending or descending. Ascending or descending sort order.
asc, desc Page number of the paginated API response. Page of the API response to retrieve.
x >= 1Property by which to sort the list of tasks.
enabled, triggerType, action, updatedAt, createdAt Source IDs for filtering the list of tasks.
Universally uniqud identifier (UUID) of a source.
Filters the tasks with the specified source type.
algoliaIndex, bigcommerce, bigquery, commercetools, csv, docker, ga4BigqueryExport, json, shopify, push "json,commercetools"
Type of task trigger for filtering the list of tasks.
Task trigger, describing when a task should run.
-
onDemand. Manually trigger the task with the/runendpoint. -
schedule. Regularly trigger the task on acronschedule. -
subscription. Trigger the task after an event is received, such as, a webhook. -
streaming. Run the task continuously.
onDemand, schedule, subscription, streaming "onDemand,schedule,subscription,streaming"
If specified, the response only includes tasks with notifications.email.enabled set to this value.